//---------------------------------------------------------------------------
#ifndef WiperH
#define WiperH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
//---------------------------------------------------------------------------
// wipefiles shows progress via dialog
// simplewipe wipes without presenting a progress dialog
int __fastcall simplewipe(AnsiString &Filename, int Passes=10);
int __fastcall wipefiles(AnsiString &Filename, int Passes=10);
int __fastcall wipefile(AnsiString &Filename, int Passes=10);
// gathers entropy for random seed--mousemoves in main and mdi windows
int rnd_mouse_wipe(int X, int Y);

class TWipeForm : public TForm
{
__published:	// IDE-managed Components
	TLabel *Label1;
	TTimer *Timer1;
	TButton *Button1;
	void __fastcall FormDestroy(TObject *Sender);
	void __fastcall FormShow(TObject *Sender);
	void __fastcall Timer1Timer(TObject *Sender);
private:	// User declarations
public:	// User declarations
   int retcode,passes;
   TStringList *files;
	__fastcall TWipeForm(TComponent* Owner);
};

#define WIPE_OK 1
#define WIPE_NOTOPEN 2
#define WIPE_USERABORT 3
#define WIPE_NOSTATS 4
#define WIPE_NOREMOVE 5
#define WIPE_NOFLUSH 6
#define WIPE_NOFILEMAP 7
#define WIPE_NOMEMMAP 8
#define WIPE_ALREADYOPEN 9
#define WIPE_WRITEPROTECT 10
#define WIPE_RENAMEFAILED 11

//---------------------------------------------------------------------------
extern TWipeForm *WipeForm;
extern AnsiString WipeErrorStr;
extern TList *WipeRand;
//---------------------------------------------------------------------------
#endif
