//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "AboutDlgs.h"
#include "Global.h"
#include "QSver.h"
#include "pop3mail.h"
#include "pgpmail.h"
#include "pgpsdk.h"
#include "nymmail.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TAboutDlg *AboutDlg;
//---------------------------------------------------------------------------
void __fastcall ShowAboutBox(TForm *owner)
{
   int spc = 8;
   AnsiString space;
   AboutDlg = new TAboutDlg(owner);
   CenterDialog(AboutDlg,owner);
   AboutDlg->Caption = "About";
   AboutDlg->Appname->Caption = AppName.Trim()+" "+ReleaseVer.Trim();
   AboutDlg->Copyright->Caption = CopyRight.Trim();
   AboutDlg->PluginList->Height = 0;
   AboutDlg->PluginList->Top = 41;
   AboutDlg->PluginList->Clear();
   if (HasPop3())
   {
      AnsiString libname = GetParam(0,GetPop3AppName()," ");
      libname += space.StringOfChar(' ',spc-libname.Length());
      AboutDlg->PluginList->Lines->Add(libname+AnsiString(GetPop3Version()));
      AboutDlg->PluginList->Height += 16;
      AboutDlg->Copyright->Top += 16;
      AboutDlg->OkBtn->Top += 16;
      AboutDlg->Height += 16;
   }
   if (HasPgp())
   {
      AnsiString libname = GetParam(0,GetPgpLibName()," ");
      libname += space.StringOfChar(' ',spc-libname.Length());
      AboutDlg->PluginList->Lines->Add(libname+AnsiString(GetPgpLibVersion()));
      AboutDlg->PluginList->Height += 16;
      AboutDlg->Copyright->Top += 16;
      AboutDlg->OkBtn->Top += 16;
      AboutDlg->Height += 16;
   }
   if (HasSdk())
   {
      AnsiString libname = GetParam(0,GetQdkLibName()," ");
      libname += space.StringOfChar(' ',spc-libname.Length());
      AboutDlg->PluginList->Lines->Add(libname+AnsiString(GetQdkLibVersion()));
      AboutDlg->PluginList->Height += 16;
      AboutDlg->Copyright->Top += 16;
      AboutDlg->OkBtn->Top += 16;
      AboutDlg->Height += 16;
   }
   if (HasNyms())
   {
      AnsiString libname = GetParam(0,GetNymLibName()," ");
      libname += space.StringOfChar(' ',spc-libname.Length());
      AboutDlg->PluginList->Lines->Add(libname+AnsiString(GetNymLibVersion()));
      AboutDlg->PluginList->Height += 16;
      AboutDlg->Copyright->Top += 16;
      AboutDlg->OkBtn->Top += 16;
      AboutDlg->Height += 16;
   }

   MyBeep(MB_OK); AboutDlg->ShowModal();
   delete AboutDlg;
}
//---------------------------------------------------------------------------
__fastcall TAboutDlg::TAboutDlg(TComponent* Owner)
  : TForm(Owner)
{
}
//---------------------------------------------------------------------------
